> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Check a proxy

POST http://127.0.0.1:58931/api/proxies/check
Content-Type: application/json

Test connectivity of a single proxy and return its detected IP and geo info.

Reference: https://docs.flashid.app/api-reference/proxies/check-proxy

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/proxies/check:
    post:
      operationId: check-proxy
      summary: Check a proxy
      description: >-
        Test connectivity of a single proxy and return its detected IP and geo
        info.
      tags:
        - subpackage_proxies
      parameters:
        - name: X-API-Key
          in: header
          description: API Key generated in the FlashID app.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Proxies_checkProxy_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckProxyRequest'
servers:
  - url: http://127.0.0.1:58931
    description: Local service (default port 58931)
components:
  schemas:
    CheckProxyRequestProxyType:
      type: string
      enum:
        - http
        - https
        - socks5
      title: CheckProxyRequestProxyType
    CheckProxyRequestProxy:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CheckProxyRequestProxyType'
        host:
          type: string
        port:
          type: string
          description: Port (number or string)
        username:
          type: string
        password:
          type: string
      required:
        - type
        - host
        - port
      title: CheckProxyRequestProxy
    CheckProxyRequest:
      type: object
      properties:
        proxy:
          $ref: '#/components/schemas/CheckProxyRequestProxy'
      required:
        - proxy
      title: CheckProxyRequest
    ApiProxiesCheckPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        ip:
          type: string
        ip_data:
          type: object
          additionalProperties:
            description: Any type
      title: ApiProxiesCheckPostResponsesContentApplicationJsonSchemaData
    Proxies_checkProxy_Response_200:
      type: object
      properties:
        success:
          type: boolean
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProxiesCheckPostResponsesContentApplicationJsonSchemaData
      required:
        - success
        - code
      title: Proxies_checkProxy_Response_200
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key generated in the FlashID app.

```

## Examples



**Request**

```json
{
  "proxy": {
    "type": "http",
    "host": "192.168.1.100",
    "port": "8080"
  }
}
```

**Response**

```json
{
  "success": true,
  "code": 0,
  "data": {
    "ip": "203.0.113.45",
    "ip_data": {}
  }
}
```

**SDK Code**

```python
import requests

url = "http://127.0.0.1:58931/api/proxies/check"

payload = { "proxy": {
        "type": "http",
        "host": "192.168.1.100",
        "port": "8080"
    } }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'http://127.0.0.1:58931/api/proxies/check';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"proxy":{"type":"http","host":"192.168.1.100","port":"8080"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/proxies/check"

	payload := strings.NewReader("{\n  \"proxy\": {\n    \"type\": \"http\",\n    \"host\": \"192.168.1.100\",\n    \"port\": \"8080\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/proxies/check")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"proxy\": {\n    \"type\": \"http\",\n    \"host\": \"192.168.1.100\",\n    \"port\": \"8080\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("http://127.0.0.1:58931/api/proxies/check")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"proxy\": {\n    \"type\": \"http\",\n    \"host\": \"192.168.1.100\",\n    \"port\": \"8080\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'http://127.0.0.1:58931/api/proxies/check', [
  'body' => '{
  "proxy": {
    "type": "http",
    "host": "192.168.1.100",
    "port": "8080"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/proxies/check");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"proxy\": {\n    \"type\": \"http\",\n    \"host\": \"192.168.1.100\",\n    \"port\": \"8080\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["proxy": [
    "type": "http",
    "host": "192.168.1.100",
    "port": "8080"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/proxies/check")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```